/*****************************************************************************
 **
 ** Licensed Material - Property of IBM
 **
 ** 5724-D04
 **
 ** (C) Copyright IBM Corp. 2000 - 2004  All Rights Reserved
 **
 ** US Government Users Restricted Rights - Use, duplication or
 ** disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
 **
 ***************************************************************************/

#define MAB_PRINT_STATUS UInt16
#define MAB_PRINT_ALERT_ID gAlertID

typedef enum{
	MAB_PRINT_SUCCESS_CODE = 0,
	MAB_PRINT_INIT_FAILED_CODE = 50001,
	MAB_PRINT_COMMUNICATIONS_ERROR_CODE,
	MAB_PRINT_ERROR_UNKNOWN_CODE,
	MAB_PRINT_PRINTER_ALREADY_OPEN_CODE
}MAB_PrintCodes;

typedef enum{
	MAB_PRINT_VIA_PALMPRINT
}MAB_PrintLibrary;

typedef void MAB_Print_ListDataHandlerType (FormPtr pForm,UInt16 listID,Char **itemsText,UInt32 *nSize);
	
typedef MAB_Print_ListDataHandlerType *MAB_Print_ListDataHandlerPtr;


#if __COMMENTED_CODE__
typedef struct{
	char *szPrinterType;
	UInt16 nBaudRate;
	UInt16 nCharsPerLine;
	UInt16 nLinesPerPage;
	UInt16 nLeftMargin;
	UInt16 nTopMargin;
}PrinterParam;
#endif

#if __MULTI_SEG_APP__

MAB_PRINT_STATUS MAB_Print_InitPrinter(MAB_PrintLibrary lib) __attribute__ ((section ("printfns")));
MAB_PRINT_STATUS MAB_Print_Buffer(MAB_PrintLibrary lib, char *buffer) __attribute__ ((section ("printfns")));
MAB_PRINT_STATUS MAB_Print_PrintForm(MAB_PrintLibrary lib, FormPtr pForm,  MAB_Print_ListDataHandlerPtr func) __attribute__ ((section ("printfns")));
MAB_PRINT_STATUS MAB_Print_Line(char *buffer) __attribute__ ((section ("printfns")));
MAB_PRINT_STATUS MAB_Print_ClosePrinter()  __attribute__ ((section ("printfns")));
void MAB_Print_SetAlertIDForMessages(UInt16 alertID) __attribute__ ((section ("printfns")));

#else

MAB_PRINT_STATUS MAB_Print_InitPrinter(MAB_PrintLibrary lib);
MAB_PRINT_STATUS MAB_Print_Buffer(MAB_PrintLibrary lib, char *buffer);
MAB_PRINT_STATUS MAB_Print_PrintForm(MAB_PrintLibrary lib, FormPtr pForm, MAB_Print_ListDataHandlerPtr func);
MAB_PRINT_STATUS MAB_Print_Line(char *buffer);
MAB_PRINT_STATUS MAB_Print_ClosePrinter();
void MAB_Print_SetAlertIDForMessages(UInt16 alertID);

#endif
